print("Loaded game_forge module!")

forgeWindow = nil

function init()
  print("[Forge] Init called.")

  local ui = g_ui.loadUI('game_exaltation_forge')
  if not ui then
    print("[Forge] Failed to load UI file with loadUI.")
  return
  end
  forgeWindow = ui:recursiveGetChildById('test1')
    if not forgeWindow then
      print("[Forge] Failed to find Forge Window in UI.")
      return
    end

    print("[Forge] Showing forge window.")
    modules.game_interface.getRootPanel():addChild(forgeWindow)
    forgeWindow:show()
end

function terminate()
  if forgeWindow then
    forgeWindow:destroy()
    forgeWindow = nil
  end
end

